Draw2D now npm ready

No news for a long time….
I decided to make draw2d fit for ES6 and the developer tools like npm and yarn. It makes more sense to get rid of my old build process with bower, grunt and even ant. Additional the new draw2D ist full compatible (right now) to the old one. The old bower repo "draw2d" is dropped and not supported anymore.
Just install it with "npm install draw2d —save" to get them into your project. Samples are migrated and part of the package. Documentation is a big gap but the old one is still valid.

Bildschirmfoto 2018-08-10 um 10.33.15
http://www.github.com/freegroup/draw2d


Pull requests are welcome

The new repo is a branch of this source code. At this point it is compatible to the original draw2d lib but breaking changes can happen. (e.g. IE support will be dropped)